Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
VA-API, Legacy nvidia and vainfo
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
k9dog
Tux's lil' helper
Tux's lil' helper


Joined: 22 Jun 2009
Posts: 88
Location: Denmark

PostPosted: Fri Sep 14, 2018 4:22 pm    Post subject: VA-API, Legacy nvidia and vainfo Reply with quote

I seem to have some problems. My "old" laptop is configured as a Gentoo x86 4.9 kernel based system.
The laptop card is a nvidia 7400 Go.

This makes it fall in the catagory where it isn't based on VDPAU and nvenc. I enabled vaapi and it does seem to enhance the system with certain needed stuff like decoders, scaling and 3D support (nouveau is painfully slow in comparison, but makes choosing modes easier. In general nouveau behaves better, but isn't much faster than VESA.

Anyway the problem:

When I run vainfo I get:

Code:
libva info: VA-API version 1.2.0
libva info: va_getDriverName() returns 0
libva info: User requested driver 'nvidia'
libva info: Trying to open /usr/lib/va/drivers/nvidia_drv_video.so
libva info: Found init function __vaDriverInit_1_2
Floating point exception


nvidia_drv_video.so links to vdpau_drv_video.so and that comes from dependency of nvidia and nouveau pulling it when you merge libva. libva is needed for the functionality mentioned (decoding, 3D and scaling).

If I remove the links avidemux runs. There doesn't seem to be a slowdown.

My question. Is it a bug? Can it be fixed? avidemux fails unless I disable any nvidia support for it.

Further invstigations pointed to avidemux running with -vaapi for avidemux and avidemux-core. I'm glad I chose Gentoo, but this is a bug that comes from vaapi working bad with series before series 8 (but the best we have) and avidemux failing based on floating point error from vainfo. Can I report on Gentoo forum or do I need to go to site for vaapi?
Back to top
View user's profile Send private message
mir3x
Guru
Guru


Joined: 02 Jun 2012
Posts: 427

PostPosted: Tue Sep 18, 2018 7:34 pm    Post subject: Reply with quote

Va-api won't work with NVidia.
Your card cannot have any video acceleration.
_________________
Installation aborted to prevent system self-destruction
Back to top
View user's profile Send private message
k9dog
Tux's lil' helper
Tux's lil' helper


Joined: 22 Jun 2009
Posts: 88
Location: Denmark

PostPosted: Wed Sep 19, 2018 10:32 pm    Post subject: Reply with quote

It might be limited support, got it running now, but using a previous libva. 1.21. Without it machine isn't accelerated. It might be an exception to the rule, but without vaapi (Tried globally -vaapi) there is no speed. So consider that it does work, but might not support some setups. With vdpau I have only seen bad results.
vainfo returns a floating point error (not isolated to nvidia), this means I need to disable vaapi for avidemux.
If I use -vaapi globally I get software speed. vdpau have no effect on speed, but programs do fail (like vlc).
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum